%global _empty_manifest_terminate_build 0
Name:           python-networking-baremetal
Version:        1.4.0
Release:        1
Summary:        Neutron plugin that provides deep Ironic/Neutron integration.
License:        Apache-2.0
URL:            https://docs.openstack.org/networking-baremetal/latest/
Source0:        https://files.pythonhosted.org/packages/05/ae/e63af7a207b33d326034a0765cef68bf60b3bc2fb45d576c631ccd165db7/networking-baremetal-1.4.0.tar.gz
BuildArch:      noarch
%description
This project's goal is to provide deep integration between the Networking
service and the Bare Metal service and advanced networking features like
notifications of port status changes and routed networks support in clouds
with Bare Metal service.

%package -n python3-networking-baremetal
Summary:        Neutron plugin that provides deep Ironic/Neutron integration.
Provides:       python-networking-baremetal
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-neutron-lib
BuildRequires:  python3-oslo-config
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-oslo-log
BuildRequires:  python3-oslo-utils
BuildRequires:  python3-oslo-messaging
BuildRequires:  python3-ironicclient
BuildRequires:  python3-tooz
BuildRequires:  python3-neutron
# General requires
Requires:       python3-neutron-lib
Requires:       python3-oslo-config
Requires:       python3-oslo-i18n
Requires:       python3-oslo-log
Requires:       python3-oslo-utils
Requires:       python3-oslo-messaging
Requires:       python3-pbr
Requires:       python3-ironicclient
Requires:       python3-tooz
Requires:       python3-neutron
%description -n python3-networking-baremetal
This project's goal is to provide deep integration between the Networking
service and the Bare Metal service and advanced networking features like
notifications of port status changes and routed networks support in clouds
with Bare Metal service.

%package help
Summary:        Neutron plugin that provides deep Ironic/Neutron integration.
Provides:       python3-networking-baremetal-doc
%description help
This project's goal is to provide deep integration between the Networking
service and the Bare Metal service and advanced networking features like
notifications of port status changes and routed networks support in clouds
with Bare Metal service.

%prep
%autosetup -n networking-baremetal-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .


%files -n python3-networking-baremetal -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Nov 05 2021 OpenStack_SIG <openstack@openeuler.org> - 1.4.0-1
- Downgrade package python3-networking-baremetal to version 1.4.0

* Thu Aug 19 liksh <liks11@chinaunicom.cn> 4.0.0-1
- update from 3.0.0 to 4.0.0

* Sat Jul 31 2021 huangtianhua <huangtianhua@huawei.com>
- Fix requires position and add pbr buildrequires
* Wed Mar 10 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
